ccwgroup_create
Prev | ccw group devices | Next

## Name

ccwgroup_create — create and register a ccw group device

## Synopsis

`int ccwgroup_create (` | struct device * | root,
| unsigned int | creator_id,
| struct ccw_driver * | cdrv,
| int | argc,
| char * | argv[]`)`;

## Arguments

`root`

  parent device for the new device

`creator_id`

  identifier of creating driver

`cdrv`

  ccw driver of slave devices

`argc`

  number of slave devices

`argv[]`

  bus ids of slave devices

## Description

Create and register a new ccw group device as a child of `root`. Slave devices are obtained from the list of bus ids given in `argv`[] and must all belong to `cdrv`.

## Returns

`0` on success and an error code on failure.

## Context

non-atomic

Prev | Up | Next
struct ccwgroup_driver | Home | ccwgroup_driver_register